EDIT - feature request #7706

Warning for reused Media is missing
08/30/2018 10:48 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: critical

Description

If Media is linked from multiple data the according warning is missing in the details view. This is critical.

AM: However, | realize that there is a warning missing in the Media details view that the Media is used multiple times. We do have
this warning for other data types (e.g. References, Persons, Teams, ...) and it proves to be very helpful to avoid users from
unintended changes of data that is linked from different places. We will add this warning asap.

Related issues:

Related to EDIT - feature request #7705: Improve handling of title/titteCache... New
Related to EDIT - feature request #5972: Prevent user from unwanted author an... Closed
Related to EDIT - bug #7736: reusing media in the DescriptionElementDetailsView Duplicate
Copied to EDIT - bug #7732: layout issues for the media details view New
Copied to EDIT - bug #7733: show warning for multiple usage of media for Spec... New
Copied to EDIT - bug #7734: show warning for multiple usage also if the refer... New
Copied to EDIT - bug #7735: reusing media in the DescriptionElementDetailsView New
Copied to EDIT - bug #7737: Reference Details view does NOT give a multiple u... Closed

Associated revisions

Revision ad31468a - 09/04/2018 01:57 PM - Katja Luther

ref #7706: add warning if media is referenced by more than one object

History

#1 - 08/30/2018 10:54 AM - Andreas Miiller
- Related to feature request #7705: Improve handling of title/titteCache and multi-language support for Media added

#2 - 08/30/2018 10:56 AM - Andreas Miiller

- Related to feature request #5972: Prevent user from unwanted author and reference updates added

#3 - 09/04/2018 01:58 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.3

please review

#4 - 09/05/2018 08:49 AM - Andreas Miiller
- File picture182-2.png added

Generally it works but there are some questions regarding various issues:

e |ayout: the form type changer is not moved down and now appears beside the warning. This is misleading. Also the whitespace between label
and warning is pretty large and should be reduced if possible. => #7732
e layout general: it would be better to have the warning on top, not below the media label. This seems to be a general issue for tehese types of
details view warnings. Is it possible to move it up? => #7732

e when the new reference to a persisted and linked media object is not yet saved no warning is shown. Is there a chance to show the warning also
if there is a volatile reference and additionally at least one persistent reference in the DB? Probably this holds for all data types. => #7734

e reusing media in the DescriptionElementDetailsView is not yet possible but should (needs discussion how the warning could be implemented
there) => #7736

e the warning is not shown in the Specimen Tree Editor for Media specimen. This is probably because there the details view is a mixture of image
data and other specimen data. Generally it is problematic here that it is not possible to exchange the image here (only the URI can be changed)
#7733

e testing other such warnings | realized that for references the warnings appear in the dialog but do NOT appear in the details view like for media
now and for authors. This is very critical as users expect them to appear and think that a reference is not used elsewhere if it does NOT appear.
=> critical #7737

Please feel free to create for any issue that can not be fixed immediately (the last issue should get a separate ticket anyway for documentation)

#5 - 09/05/2018 08:50 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 80

Generally the ticket can be closed as it works if the above issues are either closed or moved to a new ticket.

#6 - 09/05/2018 09:01 AM - Andreas Miiller

Is there a Media editing dialog at all? | was searching to check if the warning also works there but didn't find any. Maybe such a dialog could help e.g.

for DescriptionElementDetailsView Media list editing or also for the MediaSpecimen Details View where you currently only edit the URI or you can
open the advanced view (both mentioned in above comments). #7733

#7 - 09/06/2018 09:39 PM - Katja Luther
- Status changed from Feedback to Closed

create several follow up tickets (#7732, #7733, #7734)

#8 - 09/06/2018 09:40 PM - Katja Luther
- Copied to bug #7732: layout issues for the media details view added

#9 - 09/06/2018 09:40 PM - Katja Luther
- Copied to bug #7733: show warning for multiple usage of media for SpecimenMedia added

#10 - 09/06/2018 09:41 PM - Katja Luther

- Copied to bug #7734: show warning for multiple usage also if the reference is not persisted yet added

#11 - 09/07/2018 12:03 AM - Andreas Miiller
- Related to bug #7736: reusing media in the DescriptionElementDetailsView added

#12 - 09/07/2018 12:15 AM - Andreas Miiller
- Copied to bug #7735: reusing media in the DescriptionElementDetailsView added

#13 - 09/07/2018 12:18 AM - Andreas Miiller
- Copied to bug #7737: Reference Details view does NOT give a multiple usage warning added
